# Fish config file
fundle plugin 'decors/fish-colored-man'
fundle plugin 'oh-my-fish/theme-nai'
fundle init

# Man colors
set -g man_standout -o blue
set -g man_bold -o magenta

# Text Editor
set -x EDITOR vim
# ZFS GRUB
set -x ZPOOL_VDEV_NAME_PATH 1

# Aliases
alias f "fff"
alias tmux "tmux -2"
alias peerflix "peerflix -d"
alias xclip "xclip -selection clipboard"
alias xi "xbps-install -S"
alias xu "xbps-install -Su"
alias xr "xbps-remove -R"
alias xc "xbps-remove -Oo"
alias xq "xbps-query -Rs"
alias wlan "iw dev wlp2s0 scan | grep SSID"
alias bc "bc -l"

function fish_title
  true
end

# Compiler
set -x CC /usr/bin/clang
set -x CXX /usr/bin/clang++

# Additional paths
set PATH /opt/texlive/2019/bin/x86_64-linux/ /bin /usr/bin /usr/local/bin /usr/local/sbin /usr/sbin /sbin
set PATH $PATH /home/coolneng/.local/bin
set PATH $PATH /home/coolneng/.scripts

# fff
## Directory color [0-9]
set -x FFF_COL1 3
set -x FFF_COL2 8
## Favourites (keys 1-9) (dir or file)
set -x FFF_FAV1 /home/coolneng/Nextcloud/Documents/Uni
set -x FFF_FAV2 /home/coolneng/Nextcloud/Documents/Papers
set -x FFF_FAV3 /home/coolneng/Nextcloud/Documents/Books/Academic/
set -x FFF_FAV4 /home/coolneng/Nextcloud/Documents/Education/

# Gnome Keyring
if test -n "$DESKTOP_SESSION"
    set (gnome-keyring-daemon --start | string split "=")
end
